
{***************************************************************************************************************************************************}
{                                                                                                                                                   }
{                                                                 XML Data Binding                                                                  }
{                                                                                                                                                   }
{         Generated on: 7/22/2014 11:07:20 PM                                                                                                       }
{       Generated from: C:\Leo\VADev\VLER-DAS\Documents-VLER-DAS-CAPRIAuthServer\eCRUD Documentation\CapriExamRequestSilver1\CapriExamRequest.xsd   }
{   Settings stored in: C:\Leo\VADev\VLER-DAS\Documents-VLER-DAS-CAPRIAuthServer\eCRUD Documentation\CapriExamRequestSilver1\CapriExamRequest.xdb   }
{                                                                                                                                                   }
{***************************************************************************************************************************************************}

unit XMLTemplate_CapriExamRequest;

interface

uses xmldom, XMLDoc, XMLIntf;

type

{ Forward Decls }

  {$IFNDEF Unicode}UnicodeString = WideString;{$ENDIF}  // DONE: LMS Backward compatibility. Can Also be done with regenerating from the XDB

  IXMLCapriExamRequest = interface;
  IXMLCapriExamRequest_Patient = interface;
  IXMLCapriExamRequest_Patient_SSN = interface;
  IXMLCapriExamRequest_Patient_ICN = interface;
  IXMLCapriExamRequest_Patient_Phone = interface;
  IXMLCapriExamRequest_MedicalCenter = interface;
  IXMLCapriExamRequest_MedicalCenter_SiteNumber = interface;
  IXMLCapriExamRequest_Exams = interface;
  IXMLCapriExamRequest_Exams_Exam = interface;

{ IXMLCapriExamRequest }

  IXMLCapriExamRequest = interface(IXMLNode)
    ['{2AD8F474-CC50-4565-B31B-85BB0ED46A59}']
    { Property Accessors }
    function Get_Version: LongWord;
    function Get_RequestId: UnicodeString;
    function Get_RequestStatus: UnicodeString;
    function Get_RequestDate: UnicodeString;
    function Get_ClaimFolderRequired: Boolean;
    function Get_RegionalOffice: UnicodeString;
    function Get_FeeAuthorization: UnicodeString;
    function Get_PhysicalSource: UnicodeString;
    function Get_Remarks: UnicodeString;
    function Get_Patient: IXMLCapriExamRequest_Patient;
    function Get_MedicalCenter: IXMLCapriExamRequest_MedicalCenter;
    function Get_Exams: IXMLCapriExamRequest_Exams;
    procedure Set_Version(Value: LongWord);
    procedure Set_RequestId(Value: UnicodeString);
    procedure Set_RequestStatus(Value: UnicodeString);
    procedure Set_RequestDate(Value: UnicodeString);
    procedure Set_ClaimFolderRequired(Value: Boolean);
    procedure Set_RegionalOffice(Value: UnicodeString);
    procedure Set_FeeAuthorization(Value: UnicodeString);
    procedure Set_PhysicalSource(Value: UnicodeString);
    procedure Set_Remarks(Value: UnicodeString);
    { Methods & Properties }
    property Version: LongWord read Get_Version write Set_Version;
    property RequestId: UnicodeString read Get_RequestId write Set_RequestId;
    property RequestStatus: UnicodeString read Get_RequestStatus write Set_RequestStatus;
    property RequestDate: UnicodeString read Get_RequestDate write Set_RequestDate;
    property ClaimFolderRequired: Boolean read Get_ClaimFolderRequired write Set_ClaimFolderRequired;
    property RegionalOffice: UnicodeString read Get_RegionalOffice write Set_RegionalOffice;
    property FeeAuthorization: UnicodeString read Get_FeeAuthorization write Set_FeeAuthorization;
    property PhysicalSource: UnicodeString read Get_PhysicalSource write Set_PhysicalSource;
    property Remarks: UnicodeString read Get_Remarks write Set_Remarks;
    property Patient: IXMLCapriExamRequest_Patient read Get_Patient;
    property MedicalCenter: IXMLCapriExamRequest_MedicalCenter read Get_MedicalCenter;
    property Exams: IXMLCapriExamRequest_Exams read Get_Exams;
  end;

{ IXMLCapriExamRequest_Patient }

  IXMLCapriExamRequest_Patient = interface(IXMLNode)
    ['{D2117C4C-E66A-46A8-BF27-0F5E204A08FB}']
    { Property Accessors }
    function Get_FullName: UnicodeString;
    function Get_FirstName: UnicodeString;
    function Get_MiddleName: UnicodeString;
    function Get_LastName: UnicodeString;
    function Get_SSN: IXMLCapriExamRequest_Patient_SSN;
    function Get_ICN: IXMLCapriExamRequest_Patient_ICN;
    function Get_ClaimFolderNumber: UnicodeString;
    function Get_DateOfBirth: UnicodeString;
    function Get_Gender: UnicodeString;
    function Get_Address1: UnicodeString;
    function Get_Address2: UnicodeString;
    function Get_Address3: UnicodeString;
    function Get_City: UnicodeString;
    function Get_State: UnicodeString;
    function Get_ZipCode: UnicodeString;
    function Get_Country: UnicodeString;
    function Get_Phone: IXMLCapriExamRequest_Patient_Phone;
    procedure Set_FullName(Value: UnicodeString);
    procedure Set_FirstName(Value: UnicodeString);
    procedure Set_MiddleName(Value: UnicodeString);
    procedure Set_LastName(Value: UnicodeString);
    procedure Set_ClaimFolderNumber(Value: UnicodeString);
    procedure Set_DateOfBirth(Value: UnicodeString);
    procedure Set_Gender(Value: UnicodeString);
    procedure Set_Address1(Value: UnicodeString);
    procedure Set_Address2(Value: UnicodeString);
    procedure Set_Address3(Value: UnicodeString);
    procedure Set_City(Value: UnicodeString);
    procedure Set_State(Value: UnicodeString);
    procedure Set_ZipCode(Value: UnicodeString);
    procedure Set_Country(Value: UnicodeString);
    { Methods & Properties }
    property FullName: UnicodeString read Get_FullName write Set_FullName;
    property FirstName: UnicodeString read Get_FirstName write Set_FirstName;
    property MiddleName: UnicodeString read Get_MiddleName write Set_MiddleName;
    property LastName: UnicodeString read Get_LastName write Set_LastName;
    property SSN: IXMLCapriExamRequest_Patient_SSN read Get_SSN;
    property ICN: IXMLCapriExamRequest_Patient_ICN read Get_ICN;
    property ClaimFolderNumber: UnicodeString read Get_ClaimFolderNumber write Set_ClaimFolderNumber;
    property DateOfBirth: UnicodeString read Get_DateOfBirth write Set_DateOfBirth;
    property Gender: UnicodeString read Get_Gender write Set_Gender;
    property Address1: UnicodeString read Get_Address1 write Set_Address1;
    property Address2: UnicodeString read Get_Address2 write Set_Address2;
    property Address3: UnicodeString read Get_Address3 write Set_Address3;
    property City: UnicodeString read Get_City write Set_City;
    property State: UnicodeString read Get_State write Set_State;
    property ZipCode: UnicodeString read Get_ZipCode write Set_ZipCode;
    property Country: UnicodeString read Get_Country write Set_Country;
    property Phone: IXMLCapriExamRequest_Patient_Phone read Get_Phone;
  end;

{ IXMLCapriExamRequest_Patient_SSN }

  IXMLCapriExamRequest_Patient_SSN = interface(IXMLNode)
    ['{7D9D6082-6B7F-4239-8A4E-DE2CA8817BE3}']
    { Property Accessors }
    function Get_AssigningAuthority: UnicodeString;
    function Get_Value: UnicodeString;
    procedure Set_AssigningAuthority(Value: UnicodeString);
    procedure Set_Value(Value: UnicodeString);
    { Methods & Properties }
    property AssigningAuthority: UnicodeString read Get_AssigningAuthority write Set_AssigningAuthority;
    property Value: UnicodeString read Get_Value write Set_Value;
  end;

{ IXMLCapriExamRequest_Patient_ICN }

  IXMLCapriExamRequest_Patient_ICN = interface(IXMLNode)
    ['{C9E35B1E-328F-4B42-A9F1-5D5EE517FA53}']
    { Property Accessors }
    function Get_AssigningAuthority: UnicodeString;
    function Get_Value: UnicodeString;
    procedure Set_AssigningAuthority(Value: UnicodeString);
    procedure Set_Value(Value: UnicodeString);
    { Methods & Properties }
    property AssigningAuthority: UnicodeString read Get_AssigningAuthority write Set_AssigningAuthority;
    property Value: UnicodeString read Get_Value write Set_Value;
  end;

{ IXMLCapriExamRequest_Patient_Phone }

  IXMLCapriExamRequest_Patient_Phone = interface(IXMLNode)
    ['{07CF7507-DACE-4BC2-AF13-E43934C16712}']
    { Property Accessors }
    function Get_MobilePhone: UnicodeString;
    function Get_HomePhone: UnicodeString;
    procedure Set_MobilePhone(Value: UnicodeString);
    procedure Set_HomePhone(Value: UnicodeString);
    { Methods & Properties }
    property MobilePhone: UnicodeString read Get_MobilePhone write Set_MobilePhone;
    property HomePhone: UnicodeString read Get_HomePhone write Set_HomePhone;
  end;

{ IXMLCapriExamRequest_MedicalCenter }

  IXMLCapriExamRequest_MedicalCenter = interface(IXMLNode)
    ['{24E79B1A-6871-46B1-BF8D-23B0776E003E}']
    { Property Accessors }
    function Get_SiteName: UnicodeString;
    function Get_SiteNumber: IXMLCapriExamRequest_MedicalCenter_SiteNumber;
    function Get_Address1: UnicodeString;
    function Get_Address2: UnicodeString;
    function Get_City: UnicodeString;
    function Get_State: UnicodeString;
    function Get_ZipCode: UnicodeString;
    function Get_Phone: UnicodeString;
    procedure Set_SiteName(Value: UnicodeString);
    procedure Set_Address1(Value: UnicodeString);
    procedure Set_Address2(Value: UnicodeString);
    procedure Set_City(Value: UnicodeString);
    procedure Set_State(Value: UnicodeString);
    procedure Set_ZipCode(Value: UnicodeString);
    procedure Set_Phone(Value: UnicodeString);
    { Methods & Properties }
    property SiteName: UnicodeString read Get_SiteName write Set_SiteName;
    property SiteNumber: IXMLCapriExamRequest_MedicalCenter_SiteNumber read Get_SiteNumber;
    property Address1: UnicodeString read Get_Address1 write Set_Address1;
    property Address2: UnicodeString read Get_Address2 write Set_Address2;
    property City: UnicodeString read Get_City write Set_City;
    property State: UnicodeString read Get_State write Set_State;
    property ZipCode: UnicodeString read Get_ZipCode write Set_ZipCode;
    property Phone: UnicodeString read Get_Phone write Set_Phone;
  end;

{ IXMLCapriExamRequest_MedicalCenter_SiteNumber }

  IXMLCapriExamRequest_MedicalCenter_SiteNumber = interface(IXMLNode)
    ['{128D086B-E0F7-4550-8283-7353528EB2EE}']
    { Property Accessors }
    function Get_AssigningAuthority: UnicodeString;
    function Get_Value: UnicodeString;
    procedure Set_AssigningAuthority(Value: UnicodeString);
    procedure Set_Value(Value: UnicodeString);
    { Methods & Properties }
    property AssigningAuthority: UnicodeString read Get_AssigningAuthority write Set_AssigningAuthority;
    property Value: UnicodeString read Get_Value write Set_Value;
  end;

{ IXMLCapriExamRequest_Exams }

  IXMLCapriExamRequest_Exams = interface(IXMLNodeCollection)
    ['{38E7D348-948B-4AC8-BA23-16F456DD1714}']
    { Property Accessors }
    function Get_Exam(Index: Integer): IXMLCapriExamRequest_Exams_Exam;
    { Methods & Properties }
    function Add: IXMLCapriExamRequest_Exams_Exam;
    function Insert(const Index: Integer): IXMLCapriExamRequest_Exams_Exam;
    property Exam[Index: Integer]: IXMLCapriExamRequest_Exams_Exam read Get_Exam; default;
  end;

{ IXMLCapriExamRequest_Exams_Exam }

  IXMLCapriExamRequest_Exams_Exam = interface(IXMLNode)
    ['{5A98ECFD-00ED-454B-BBF9-43DB7D49E5ED}']
    { Property Accessors }
    function Get_ExamName: UnicodeString;
    function Get_ExamID: UnicodeString;
    procedure Set_ExamName(Value: UnicodeString);
    procedure Set_ExamID(Value: UnicodeString);
    { Methods & Properties }
    property ExamName: UnicodeString read Get_ExamName write Set_ExamName;
    property ExamID: UnicodeString read Get_ExamID write Set_ExamID;
  end;

{ Forward Decls }

  TXMLCapriExamRequest = class;
  TXMLCapriExamRequest_Patient = class;
  TXMLCapriExamRequest_Patient_SSN = class;
  TXMLCapriExamRequest_Patient_ICN = class;
  TXMLCapriExamRequest_Patient_Phone = class;
  TXMLCapriExamRequest_MedicalCenter = class;
  TXMLCapriExamRequest_MedicalCenter_SiteNumber = class;
  TXMLCapriExamRequest_Exams = class;
  TXMLCapriExamRequest_Exams_Exam = class;

{ TXMLCapriExamRequest }

  TXMLCapriExamRequest = class(TXMLNode, IXMLCapriExamRequest)
  protected
    { IXMLCapriExamRequest }
    function Get_Version: LongWord;
    function Get_RequestId: UnicodeString;
    function Get_RequestStatus: UnicodeString;
    function Get_RequestDate: UnicodeString;
    function Get_ClaimFolderRequired: Boolean;
    function Get_RegionalOffice: UnicodeString;
    function Get_FeeAuthorization: UnicodeString;
    function Get_PhysicalSource: UnicodeString;
    function Get_Remarks: UnicodeString;
    function Get_Patient: IXMLCapriExamRequest_Patient;
    function Get_MedicalCenter: IXMLCapriExamRequest_MedicalCenter;
    function Get_Exams: IXMLCapriExamRequest_Exams;
    procedure Set_Version(Value: LongWord);
    procedure Set_RequestId(Value: UnicodeString);
    procedure Set_RequestStatus(Value: UnicodeString);
    procedure Set_RequestDate(Value: UnicodeString);
    procedure Set_ClaimFolderRequired(Value: Boolean);
    procedure Set_RegionalOffice(Value: UnicodeString);
    procedure Set_FeeAuthorization(Value: UnicodeString);
    procedure Set_PhysicalSource(Value: UnicodeString);
    procedure Set_Remarks(Value: UnicodeString);
  public
    procedure AfterConstruction; override;
  end;

{ TXMLCapriExamRequest_Patient }

  TXMLCapriExamRequest_Patient = class(TXMLNode, IXMLCapriExamRequest_Patient)
  protected
    { IXMLCapriExamRequest_Patient }
    function Get_FullName: UnicodeString;
    function Get_FirstName: UnicodeString;
    function Get_MiddleName: UnicodeString;
    function Get_LastName: UnicodeString;
    function Get_SSN: IXMLCapriExamRequest_Patient_SSN;
    function Get_ICN: IXMLCapriExamRequest_Patient_ICN;
    function Get_ClaimFolderNumber: UnicodeString;
    function Get_DateOfBirth: UnicodeString;
    function Get_Gender: UnicodeString;
    function Get_Address1: UnicodeString;
    function Get_Address2: UnicodeString;
    function Get_Address3: UnicodeString;
    function Get_City: UnicodeString;
    function Get_State: UnicodeString;
    function Get_ZipCode: UnicodeString;
    function Get_Country: UnicodeString;
    function Get_Phone: IXMLCapriExamRequest_Patient_Phone;
    procedure Set_FullName(Value: UnicodeString);
    procedure Set_FirstName(Value: UnicodeString);
    procedure Set_MiddleName(Value: UnicodeString);
    procedure Set_LastName(Value: UnicodeString);
    procedure Set_ClaimFolderNumber(Value: UnicodeString);
    procedure Set_DateOfBirth(Value: UnicodeString);
    procedure Set_Gender(Value: UnicodeString);
    procedure Set_Address1(Value: UnicodeString);
    procedure Set_Address2(Value: UnicodeString);
    procedure Set_Address3(Value: UnicodeString);
    procedure Set_City(Value: UnicodeString);
    procedure Set_State(Value: UnicodeString);
    procedure Set_ZipCode(Value: UnicodeString);
    procedure Set_Country(Value: UnicodeString);
  public
    procedure AfterConstruction; override;
  end;

{ TXMLCapriExamRequest_Patient_SSN }

  TXMLCapriExamRequest_Patient_SSN = class(TXMLNode, IXMLCapriExamRequest_Patient_SSN)
  protected
    { IXMLCapriExamRequest_Patient_SSN }
    function Get_AssigningAuthority: UnicodeString;
    function Get_Value: UnicodeString;
    procedure Set_AssigningAuthority(Value: UnicodeString);
    procedure Set_Value(Value: UnicodeString);
  end;

{ TXMLCapriExamRequest_Patient_ICN }

  TXMLCapriExamRequest_Patient_ICN = class(TXMLNode, IXMLCapriExamRequest_Patient_ICN)
  protected
    { IXMLCapriExamRequest_Patient_ICN }
    function Get_AssigningAuthority: UnicodeString;
    function Get_Value: UnicodeString;
    procedure Set_AssigningAuthority(Value: UnicodeString);
    procedure Set_Value(Value: UnicodeString);
  end;

{ TXMLCapriExamRequest_Patient_Phone }

  TXMLCapriExamRequest_Patient_Phone = class(TXMLNode, IXMLCapriExamRequest_Patient_Phone)
  protected
    { IXMLCapriExamRequest_Patient_Phone }
    function Get_MobilePhone: UnicodeString;
    function Get_HomePhone: UnicodeString;
    procedure Set_MobilePhone(Value: UnicodeString);
    procedure Set_HomePhone(Value: UnicodeString);
  end;

{ TXMLCapriExamRequest_MedicalCenter }

  TXMLCapriExamRequest_MedicalCenter = class(TXMLNode, IXMLCapriExamRequest_MedicalCenter)
  protected
    { IXMLCapriExamRequest_MedicalCenter }
    function Get_SiteName: UnicodeString;
    function Get_SiteNumber: IXMLCapriExamRequest_MedicalCenter_SiteNumber;
    function Get_Address1: UnicodeString;
    function Get_Address2: UnicodeString;
    function Get_City: UnicodeString;
    function Get_State: UnicodeString;
    function Get_ZipCode: UnicodeString;
    function Get_Phone: UnicodeString;
    procedure Set_SiteName(Value: UnicodeString);
    procedure Set_Address1(Value: UnicodeString);
    procedure Set_Address2(Value: UnicodeString);
    procedure Set_City(Value: UnicodeString);
    procedure Set_State(Value: UnicodeString);
    procedure Set_ZipCode(Value: UnicodeString);
    procedure Set_Phone(Value: UnicodeString);
  public
    procedure AfterConstruction; override;
  end;

{ TXMLCapriExamRequest_MedicalCenter_SiteNumber }

  TXMLCapriExamRequest_MedicalCenter_SiteNumber = class(TXMLNode, IXMLCapriExamRequest_MedicalCenter_SiteNumber)
  protected
    { IXMLCapriExamRequest_MedicalCenter_SiteNumber }
    function Get_AssigningAuthority: UnicodeString;
    function Get_Value: UnicodeString;
    procedure Set_AssigningAuthority(Value: UnicodeString);
    procedure Set_Value(Value: UnicodeString);
  end;

{ TXMLCapriExamRequest_Exams }

  TXMLCapriExamRequest_Exams = class(TXMLNodeCollection, IXMLCapriExamRequest_Exams)
  protected
    { IXMLCapriExamRequest_Exams }
    function Get_Exam(Index: Integer): IXMLCapriExamRequest_Exams_Exam;
    function Add: IXMLCapriExamRequest_Exams_Exam;
    function Insert(const Index: Integer): IXMLCapriExamRequest_Exams_Exam;
  public
    procedure AfterConstruction; override;
  end;

{ TXMLCapriExamRequest_Exams_Exam }

  TXMLCapriExamRequest_Exams_Exam = class(TXMLNode, IXMLCapriExamRequest_Exams_Exam)
  protected
    { IXMLCapriExamRequest_Exams_Exam }
    function Get_ExamName: UnicodeString;
    function Get_ExamID: UnicodeString;
    procedure Set_ExamName(Value: UnicodeString);
    procedure Set_ExamID(Value: UnicodeString);
  end;

{ Global Functions }

function GetCapriExamRequest(Doc: IXMLDocument): IXMLCapriExamRequest;
function LoadCapriExamRequest(const FileName: string): IXMLCapriExamRequest;
function NewCapriExamRequest: IXMLCapriExamRequest;

const
  TargetNamespace = '';

implementation

{ Global Functions }

function GetCapriExamRequest(Doc: IXMLDocument): IXMLCapriExamRequest;
begin
  Result := Doc.GetDocBinding('CapriExamRequest', TXMLCapriExamRequest, TargetNamespace) as IXMLCapriExamRequest;
end;

function LoadCapriExamRequest(const FileName: string): IXMLCapriExamRequest;
begin
  Result := LoadXMLDocument(FileName).GetDocBinding('CapriExamRequest', TXMLCapriExamRequest, TargetNamespace) as IXMLCapriExamRequest;
end;

function NewCapriExamRequest: IXMLCapriExamRequest;
begin
  Result := NewXMLDocument.GetDocBinding('CapriExamRequest', TXMLCapriExamRequest, TargetNamespace) as IXMLCapriExamRequest;
end;

{ TXMLCapriExamRequest }

procedure TXMLCapriExamRequest.AfterConstruction;
begin
  RegisterChildNode('Patient', TXMLCapriExamRequest_Patient);
  RegisterChildNode('MedicalCenter', TXMLCapriExamRequest_MedicalCenter);
  RegisterChildNode('Exams', TXMLCapriExamRequest_Exams);
  inherited;
end;

function TXMLCapriExamRequest.Get_Version: LongWord;
begin
  Result := AttributeNodes['version'].NodeValue;
end;

procedure TXMLCapriExamRequest.Set_Version(Value: LongWord);
begin
  SetAttribute('version', Value);
end;

function TXMLCapriExamRequest.Get_RequestId: UnicodeString;
begin
  Result := ChildNodes['RequestId'].Text;
end;

procedure TXMLCapriExamRequest.Set_RequestId(Value: UnicodeString);
begin
  ChildNodes['RequestId'].NodeValue := Value;
end;

function TXMLCapriExamRequest.Get_RequestStatus: UnicodeString;
begin
  Result := ChildNodes['RequestStatus'].Text;
end;

procedure TXMLCapriExamRequest.Set_RequestStatus(Value: UnicodeString);
begin
  ChildNodes['RequestStatus'].NodeValue := Value;
end;

function TXMLCapriExamRequest.Get_RequestDate: UnicodeString;
begin
  Result := ChildNodes['RequestDate'].Text;
end;

procedure TXMLCapriExamRequest.Set_RequestDate(Value: UnicodeString);
begin
  ChildNodes['RequestDate'].NodeValue := Value;
end;

function TXMLCapriExamRequest.Get_ClaimFolderRequired: Boolean;
begin
  Result := ChildNodes['ClaimFolderRequired'].NodeValue;
end;

procedure TXMLCapriExamRequest.Set_ClaimFolderRequired(Value: Boolean);
begin
  ChildNodes['ClaimFolderRequired'].NodeValue := Value;
end;

function TXMLCapriExamRequest.Get_RegionalOffice: UnicodeString;
begin
  Result := ChildNodes['RegionalOffice'].Text;
end;

procedure TXMLCapriExamRequest.Set_RegionalOffice(Value: UnicodeString);
begin
  ChildNodes['RegionalOffice'].NodeValue := Value;
end;

function TXMLCapriExamRequest.Get_FeeAuthorization: UnicodeString;
begin
  Result := ChildNodes['FeeAuthorization'].Text;
end;

procedure TXMLCapriExamRequest.Set_FeeAuthorization(Value: UnicodeString);
begin
  ChildNodes['FeeAuthorization'].NodeValue := Value;
end;

function TXMLCapriExamRequest.Get_PhysicalSource: UnicodeString;
begin
  Result := ChildNodes['PhysicalSource'].Text;
end;

procedure TXMLCapriExamRequest.Set_PhysicalSource(Value: UnicodeString);
begin
  ChildNodes['PhysicalSource'].NodeValue := Value;
end;

function TXMLCapriExamRequest.Get_Remarks: UnicodeString;
begin
  Result := ChildNodes['Remarks'].Text;
end;

procedure TXMLCapriExamRequest.Set_Remarks(Value: UnicodeString);
begin
  ChildNodes['Remarks'].NodeValue := Value;
end;

function TXMLCapriExamRequest.Get_Patient: IXMLCapriExamRequest_Patient;
begin
  Result := ChildNodes['Patient'] as IXMLCapriExamRequest_Patient;
end;

function TXMLCapriExamRequest.Get_MedicalCenter: IXMLCapriExamRequest_MedicalCenter;
begin
  Result := ChildNodes['MedicalCenter'] as IXMLCapriExamRequest_MedicalCenter;
end;

function TXMLCapriExamRequest.Get_Exams: IXMLCapriExamRequest_Exams;
begin
  Result := ChildNodes['Exams'] as IXMLCapriExamRequest_Exams;
end;

{ TXMLCapriExamRequest_Patient }

procedure TXMLCapriExamRequest_Patient.AfterConstruction;
begin
  RegisterChildNode('SSN', TXMLCapriExamRequest_Patient_SSN);
  RegisterChildNode('ICN', TXMLCapriExamRequest_Patient_ICN);
  RegisterChildNode('Phone', TXMLCapriExamRequest_Patient_Phone);
  inherited;
end;

function TXMLCapriExamRequest_Patient.Get_FullName: UnicodeString;
begin
  Result := ChildNodes['FullName'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_FullName(Value: UnicodeString);
begin
  ChildNodes['FullName'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_FirstName: UnicodeString;
begin
  Result := ChildNodes['FirstName'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_FirstName(Value: UnicodeString);
begin
  ChildNodes['FirstName'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_MiddleName: UnicodeString;
begin
  Result := ChildNodes['MiddleName'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_MiddleName(Value: UnicodeString);
begin
  ChildNodes['MiddleName'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_LastName: UnicodeString;
begin
  Result := ChildNodes['LastName'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_LastName(Value: UnicodeString);
begin
  ChildNodes['LastName'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_SSN: IXMLCapriExamRequest_Patient_SSN;
begin
  Result := ChildNodes['SSN'] as IXMLCapriExamRequest_Patient_SSN;
end;

function TXMLCapriExamRequest_Patient.Get_ICN: IXMLCapriExamRequest_Patient_ICN;
begin
  Result := ChildNodes['ICN'] as IXMLCapriExamRequest_Patient_ICN;
end;

function TXMLCapriExamRequest_Patient.Get_ClaimFolderNumber: UnicodeString;
begin
  Result := ChildNodes['ClaimFolderNumber'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_ClaimFolderNumber(Value: UnicodeString);
begin
  ChildNodes['ClaimFolderNumber'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_DateOfBirth: UnicodeString;
begin
  Result := ChildNodes['DateOfBirth'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_DateOfBirth(Value: UnicodeString);
begin
  ChildNodes['DateOfBirth'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_Gender: UnicodeString;
begin
  Result := ChildNodes['Gender'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_Gender(Value: UnicodeString);
begin
  ChildNodes['Gender'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_Address1: UnicodeString;
begin
  Result := ChildNodes['Address1'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_Address1(Value: UnicodeString);
begin
  ChildNodes['Address1'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_Address2: UnicodeString;
begin
  Result := ChildNodes['Address2'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_Address2(Value: UnicodeString);
begin
  ChildNodes['Address2'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_Address3: UnicodeString;
begin
  Result := ChildNodes['Address3'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_Address3(Value: UnicodeString);
begin
  ChildNodes['Address3'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_City: UnicodeString;
begin
  Result := ChildNodes['City'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_City(Value: UnicodeString);
begin
  ChildNodes['City'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_State: UnicodeString;
begin
  Result := ChildNodes['State'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_State(Value: UnicodeString);
begin
  ChildNodes['State'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_ZipCode: UnicodeString;
begin
  Result := ChildNodes['ZipCode'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_ZipCode(Value: UnicodeString);
begin
  ChildNodes['ZipCode'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_Country: UnicodeString;
begin
  Result := ChildNodes['Country'].Text;
end;

procedure TXMLCapriExamRequest_Patient.Set_Country(Value: UnicodeString);
begin
  ChildNodes['Country'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient.Get_Phone: IXMLCapriExamRequest_Patient_Phone;
begin
  Result := ChildNodes['Phone'] as IXMLCapriExamRequest_Patient_Phone;
end;

{ TXMLCapriExamRequest_Patient_SSN }

function TXMLCapriExamRequest_Patient_SSN.Get_AssigningAuthority: UnicodeString;
begin
  Result := ChildNodes['AssigningAuthority'].Text;
end;

procedure TXMLCapriExamRequest_Patient_SSN.Set_AssigningAuthority(Value: UnicodeString);
begin
  ChildNodes['AssigningAuthority'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient_SSN.Get_Value: UnicodeString;
begin
  Result := ChildNodes['Value'].Text;
end;

procedure TXMLCapriExamRequest_Patient_SSN.Set_Value(Value: UnicodeString);
begin
  ChildNodes['Value'].NodeValue := Value;
end;

{ TXMLCapriExamRequest_Patient_ICN }

function TXMLCapriExamRequest_Patient_ICN.Get_AssigningAuthority: UnicodeString;
begin
  Result := ChildNodes['AssigningAuthority'].Text;
end;

procedure TXMLCapriExamRequest_Patient_ICN.Set_AssigningAuthority(Value: UnicodeString);
begin
  ChildNodes['AssigningAuthority'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient_ICN.Get_Value: UnicodeString;
begin
  Result := ChildNodes['Value'].Text;
end;

procedure TXMLCapriExamRequest_Patient_ICN.Set_Value(Value: UnicodeString);
begin
  ChildNodes['Value'].NodeValue := Value;
end;

{ TXMLCapriExamRequest_Patient_Phone }

function TXMLCapriExamRequest_Patient_Phone.Get_MobilePhone: UnicodeString;
begin
  Result := ChildNodes['MobilePhone'].Text;
end;

procedure TXMLCapriExamRequest_Patient_Phone.Set_MobilePhone(Value: UnicodeString);
begin
  ChildNodes['MobilePhone'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Patient_Phone.Get_HomePhone: UnicodeString;
begin
  Result := ChildNodes['HomePhone'].Text;
end;

procedure TXMLCapriExamRequest_Patient_Phone.Set_HomePhone(Value: UnicodeString);
begin
  ChildNodes['HomePhone'].NodeValue := Value;
end;

{ TXMLCapriExamRequest_MedicalCenter }

procedure TXMLCapriExamRequest_MedicalCenter.AfterConstruction;
begin
  RegisterChildNode('SiteNumber', TXMLCapriExamRequest_MedicalCenter_SiteNumber);
  inherited;
end;

function TXMLCapriExamRequest_MedicalCenter.Get_SiteName: UnicodeString;
begin
  Result := ChildNodes['SiteName'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter.Set_SiteName(Value: UnicodeString);
begin
  ChildNodes['SiteName'].NodeValue := Value;
end;

function TXMLCapriExamRequest_MedicalCenter.Get_SiteNumber: IXMLCapriExamRequest_MedicalCenter_SiteNumber;
begin
  Result := ChildNodes['SiteNumber'] as IXMLCapriExamRequest_MedicalCenter_SiteNumber;
end;

function TXMLCapriExamRequest_MedicalCenter.Get_Address1: UnicodeString;
begin
  Result := ChildNodes['Address1'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter.Set_Address1(Value: UnicodeString);
begin
  ChildNodes['Address1'].NodeValue := Value;
end;

function TXMLCapriExamRequest_MedicalCenter.Get_Address2: UnicodeString;
begin
  Result := ChildNodes['Address2'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter.Set_Address2(Value: UnicodeString);
begin
  ChildNodes['Address2'].NodeValue := Value;
end;

function TXMLCapriExamRequest_MedicalCenter.Get_City: UnicodeString;
begin
  Result := ChildNodes['City'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter.Set_City(Value: UnicodeString);
begin
  ChildNodes['City'].NodeValue := Value;
end;

function TXMLCapriExamRequest_MedicalCenter.Get_State: UnicodeString;
begin
  Result := ChildNodes['State'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter.Set_State(Value: UnicodeString);
begin
  ChildNodes['State'].NodeValue := Value;
end;

function TXMLCapriExamRequest_MedicalCenter.Get_ZipCode: UnicodeString;
begin
  Result := ChildNodes['ZipCode'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter.Set_ZipCode(Value: UnicodeString);
begin
  ChildNodes['ZipCode'].NodeValue := Value;
end;

function TXMLCapriExamRequest_MedicalCenter.Get_Phone: UnicodeString;
begin
  Result := ChildNodes['Phone'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter.Set_Phone(Value: UnicodeString);
begin
  ChildNodes['Phone'].NodeValue := Value;
end;

{ TXMLCapriExamRequest_MedicalCenter_SiteNumber }

function TXMLCapriExamRequest_MedicalCenter_SiteNumber.Get_AssigningAuthority: UnicodeString;
begin
  Result := ChildNodes['AssigningAuthority'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter_SiteNumber.Set_AssigningAuthority(Value: UnicodeString);
begin
  ChildNodes['AssigningAuthority'].NodeValue := Value;
end;

function TXMLCapriExamRequest_MedicalCenter_SiteNumber.Get_Value: UnicodeString;
begin
  Result := ChildNodes['Value'].Text;
end;

procedure TXMLCapriExamRequest_MedicalCenter_SiteNumber.Set_Value(Value: UnicodeString);
begin
  ChildNodes['Value'].NodeValue := Value;
end;

{ TXMLCapriExamRequest_Exams }

procedure TXMLCapriExamRequest_Exams.AfterConstruction;
begin
  RegisterChildNode('Exam', TXMLCapriExamRequest_Exams_Exam);
  ItemTag := 'Exam';
  ItemInterface := IXMLCapriExamRequest_Exams_Exam;
  inherited;
end;

function TXMLCapriExamRequest_Exams.Get_Exam(Index: Integer): IXMLCapriExamRequest_Exams_Exam;
begin
  Result := List[Index] as IXMLCapriExamRequest_Exams_Exam;
end;

function TXMLCapriExamRequest_Exams.Add: IXMLCapriExamRequest_Exams_Exam;
begin
  Result := AddItem(-1) as IXMLCapriExamRequest_Exams_Exam;
end;

function TXMLCapriExamRequest_Exams.Insert(const Index: Integer): IXMLCapriExamRequest_Exams_Exam;
begin
  Result := AddItem(Index) as IXMLCapriExamRequest_Exams_Exam;
end;

{ TXMLCapriExamRequest_Exams_Exam }

function TXMLCapriExamRequest_Exams_Exam.Get_ExamName: UnicodeString;
begin
  Result := ChildNodes['ExamName'].Text;
end;

procedure TXMLCapriExamRequest_Exams_Exam.Set_ExamName(Value: UnicodeString);
begin
  ChildNodes['ExamName'].NodeValue := Value;
end;

function TXMLCapriExamRequest_Exams_Exam.Get_ExamID: UnicodeString;
begin
  Result := ChildNodes['ExamID'].Text;
end;

procedure TXMLCapriExamRequest_Exams_Exam.Set_ExamID(Value: UnicodeString);
begin
  ChildNodes['ExamID'].NodeValue := Value;
end;

end.