unit clsExamInfo;

interface

uses SysUtils, classes;

type
  TExamInfo = class(TObject)
    private
  { Private Declarations }
  _IEN, _Status, _DteTrsncrptnCmplte: String;
  _ExmResults: TStringList;
  procedure SetResults(Rslts: TStrings);
  public
  { Public Declarations }
    constructor Create(IEN, Status, DteTrsncrptnCmplte: String; Rslts: TStrings);
    destructor Destroy; override;
    property ExamIEN: String read _IEN;
    property ExamStatus: String read _Status write _Status;
    property TranscriptionCompleteDate: String read _DteTrsncrptnCmplte write _DteTrsncrptnCmplte;
    property GetExamResults: TStringList read _ExmResults;
    property SetExamResults: TStrings write SetResults;
  end;

implementation

{ Public }

constructor TExamInfo.Create(IEN: string; Status: string; DteTrsncrptnCmplte:
     string; Rslts: TStrings);
begin
  _IEN := IEN;
  _Status := Status;
  _DteTrsncrptnCmplte := DteTrsncrptnCmplte;
  _ExmResults := TStringList.Create;
  SetResults(Rslts);
end;

destructor TExamInfo.Destroy;
begin
  _ExmResults.Free;
end;

procedure TExamInfo.SetResults(Rslts: TStrings);
begin
  if (Not (Rslts = nil)) then
    _ExmResults.Assign(Rslts);
end;

end.
