unit dlgExitApp;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmExitAppDlg = class(TForm)
    btnOk: TButton;
    btnCncl: TButton;
    tmrCntDwn: TTimer;
    StaticText1: TStaticText;
    stlblTmr: TStaticText;
    StaticText2: TStaticText;
    stlblPrmpt: TStaticText;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure tmrCntDwnTimer(Sender: TObject);
  private
    { Private declarations }
    _tmrCntr: Integer;
  public
    { Public declarations }
  end;

var
  frmExitAppDlg: TfrmExitAppDlg;

implementation

{$R *.dfm}

procedure TfrmExitAppDlg.FormCreate(Sender: TObject);
begin
  _tmrCntr := 30;
end;

procedure TfrmExitAppDlg.FormShow(Sender: TObject);
begin
  tmrCntDwn.Enabled := True;
  BringToFront;
end;

procedure TfrmExitAppDlg.tmrCntDwnTimer(Sender: TObject);
begin
  dec(_tmrCntr);
  if (_tmrCntr <= 0) then
    modalresult := mrOk  { Close Application Down - No Response }
  else
    stlblTmr.Caption := IntToStr(_tmrCntr);  { Update Label Counter }
end;

end.
